[CalendarServer-changes] [6641] CalendarServer/trunk/contrib/performance/benchlib.sh

source_changes at macosforge.org source_changes at macosforge.org
Tue Nov 16 11:08:49 PST 2010


Revision: 6641
          http://trac.macosforge.org/projects/calendarserver/changeset/6641
Author:   exarkun at twistedmatrix.com
Date:     2010-11-16 11:08:46 -0800 (Tue, 16 Nov 2010)
Log Message:
-----------
Add the PROPFIND benchmark to the list; also change the stop function pidfile reading so that it withstands a missing pidfile and perhaps avoids the race between reading and exiting

Modified Paths:
--------------
    CalendarServer/trunk/contrib/performance/benchlib.sh

Modified: CalendarServer/trunk/contrib/performance/benchlib.sh
===================================================================
--- CalendarServer/trunk/contrib/performance/benchlib.sh	2010-11-16 18:57:18 UTC (rev 6640)
+++ CalendarServer/trunk/contrib/performance/benchlib.sh	2010-11-16 19:08:46 UTC (rev 6641)
@@ -16,7 +16,7 @@
 PIDFILE=$SOURCE/data/Logs/caldavd.pid
 
 # Names of benchmarks we can run.
-BENCHMARKS="event_move event_delete_attendee event_add_attendee event_change_date event_change_summary event_delete vfreebusy event"
+BENCHMARKS="find_calendars event_move event_delete_attendee event_add_attendee event_change_date event_change_summary event_delete vfreebusy event"
 
 # Names of metrics we can collect.
 STATISTICS=(HTTP SQL read write pagein pageout)
@@ -63,10 +63,10 @@
 function stop() {
   ./run -k || true
   while :; do
+      pid=$(cat $PIDFILE 2>/dev/null || true)
       if [ ! -e $PIDFILE ]; then
 	  break
       fi
-      pid=$(cat $PIDFILE)
       if ! $(kill -0 $pid); then
 	  break
       fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20101116/b41fa9f4/attachment.html>


More information about the calendarserver-changes mailing list